Bug 192305 - FC5 i686 system-config-lvm-1.0.13-1.0 crashes when called
FC5 i686 system-config-lvm-1.0.13-1.0 crashes when called
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-lvm (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jim Parsons
Jim Parsons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-18 16:57 EDT by Thaddeus Nielsen
Modified: 2008-01-23 13:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-23 13:10:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thaddeus Nielsen 2006-05-18 16:57:13 EDT
Description of problem: system-config-lvm-1.0.13-1.0 starts when called but
immediately crashes.  Happens whether called by root or regular user su'ed to
root.  Gives same error regardless of user.  Note that selinux is deactivated
and uninstalled on my FC5 i686 machine.  Reproduce it everytime, either from KDE
menu as root or from terminal window as regular user at command line.  Here is
the error report:
Traceback (most recent call last):
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 138, in ?
    runFullGUI()
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 123, in runFullGUI
    blvm = baselvm(glade_xml, app)
  File "/usr/share/system-config-lvm/system-config-lvm.py", line 68, in __init__
    self.lvmm = lvm_model()
  File "/usr/share/system-config-lvm/lvm_model.py", line 142, in __init__
    self.__block_device_model = BlockDeviceModel()
  File "/usr/share/system-config-lvm/BlockDeviceModel.py", line 19, in __init__
    bd = BlockDevice(devname)
  File "/usr/share/system-config-lvm/BlockDevice.py", line 41, in __init__
    self.reload()
  File "/usr/share/system-config-lvm/BlockDevice.py", line 54, in reload
    parts = fdisk.getPartitions(self.dev)
  File "/usr/share/system-config-lvm/fdisk_wrapper.py", line 108, in getPartitions
    beg, end, ignore, id = words[:4]
ValueError: need more than 3 values to unpack



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Thaddeus Nielsen 2006-05-18 17:37:51 EDT
FWIW, I reinstalled selinux-policy and selinux-policy-targeted (2.2.38-1.fc5)
but got the same result with system-config-lvm.  Note that libselinux-1.30-1.fc5
and libselinux-python-1.30-1.fc5 remain installed here because dependencies
require them.  I mention these selinux-related items because I only uninstalled
them today.  Several weeks ago (the last time I used it) the logical volume
manager worked fine.
Comment 2 Stanko Kupcevic 2006-12-18 16:39:13 EST
Please retest with s-c-lvm 1.0.21. 
Works for me. 

Note You need to log in before you can comment on or make changes to this bug.